com.google.appengine.api.search

## Class GetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.appengine.api.search.SearchBaseException
        - - com.google.appengine.api.search.GetException

- All Implemented Interfaces:
    java.io.Serializable

      public class GetException
      extends SearchBaseException

  Thrown to indicate that a search service failure occurred while performing a request to get requested objects.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when processing a request to get objects.
    `GetException(java.lang.String message)` Constructs an exception when some error occurred in the search service when processing a request to get objects.

  - ### Method Summary

    - ### Methods inherited from class com.google.appengine.api.search.SearchBaseException

      `getOperationResult`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetException

          public GetException(java.lang.String message)

      Constructs an exception when some error occurred in the search service when processing a request to get objects.
      Parameters:
        `message` - the error detail associated with the failure

    - #### GetException

          public GetException(OperationResult operationResult)

      Constructs an exception when some error occurred in the search service when processing a request to get objects.
      Parameters:
        `operationResult` - the error code and message detail associated with the failure